if not Watcher then return end

if select(2, UnitClass('player')) ~= "DEATHKNIGHT" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _
	
-- generic spells
Watcher:addicon("Army of the Dead", 42650)
Watcher:addicon("Blood Tap", 45529)
Watcher:addicon("Blood Charge", 114851)
Watcher:addicon("Blood Plague", 55078)
Watcher:addicon("Death Coil", 47541)
Watcher:addicon("Death and Decay", 43265)
Watcher:addicon("Death Strike", 49998)
Watcher:addicon("Empower Rune Weapon", 47568)
Watcher:addicon("Festering Strike", 85948)
Watcher:addicon("Frost Fever", 55095)
Watcher:addicon("Horn of Winter", 57330)
Watcher:addicon("Icy Touch", 45477)
Watcher:addicon("Outbreak", 77575)
Watcher:addicon("Plague Strike", 45462)
Watcher:addicon("Rune Strike", 56815)
Watcher:addicon("Rune Tap", 48982)
Watcher:addicon("Symbiosis", 110498)
Watcher:addicon("Soul Reaper", 130736)

-- talented spells and procs
Watcher:addicon("Bone Shield", 49222)
Watcher:addicon("Dancing Rune Weapon", 49028)
Watcher:addicon("Dark Transformation", 63560)
Watcher:addicon("Death Pact", 48743)
Watcher:addicon("Death Siphon", 108196)
Watcher:addicon("Festering Strike", 85948)
Watcher:addicon("Freezing Fog", 59052)
Watcher:addicon("Frost Strike", 49143)
Watcher:addicon("Heart Strike", 55050)
Watcher:addicon("Howling Blast", 49184)
Watcher:addicon("Killing Machine", 51128)
Watcher:addicon("Lichborne", 49039)
Watcher:addicon("Obliterate", 49020)
Watcher:addicon("Pillar of Frost", 51271)
Watcher:addicon("Scent of Blood", 49509)
Watcher:addicon("Scourge Strike", 55090)
Watcher:addicon("Sudden Doom", 49530)
Watcher:addicon("Summon Gargoyle", 49206)
Watcher:addicon("Unholy Blight", 115989)
Watcher:addicon("Unholy Frenzy", 49016)
Watcher:addicon("Vampiric Blood", 55233)

-- glyphs
Watcher:addicon("Glyph of Army of the Dead", 58669)
Watcher:addicon("Glyph of Dancing Rune Weapon", 63330)
Watcher:addicon("Glyph of Dark Succor", 96279)
Watcher:addicon("Glyph of Death and Decay", 58629)
Watcher:addicon("Glyph of Death Coil", 63333)
Watcher:addicon("Glyph of Death's Embrace", 58677)
Watcher:addicon("Glyph of Enduring Infection", 58671)
Watcher:addicon("Glyph of Foul Menagerie", 58642)
Watcher:addicon("Glyph of Horn of Winter", 58680)
Watcher:addicon("Glyph of Icy Touch", 58631)
Watcher:addicon("Glyph of Outbreak", 59332)
Watcher:addicon("Glyph of Pestilence", 58657)
Watcher:addicon("Glyph of Pillar of Frost", 58635)
Watcher:addicon("Glyph of Unholy Frenzy", 58616)
Watcher:addicon("Glyph of Vampiric Blood", 58676)

function Watcher:addClassSpells()
Watcher:Direct("Army of the Dead")
Watcher:Direct("Dancing Rune Weapon")
Watcher:Direct("Dark Transformation")
Watcher:Direct("Death and Decay")
Watcher:Direct("Death Pact")
Watcher:Direct("Death Siphon")
Watcher:Direct("Death Strike")
Watcher:Direct("Empower Rune Weapon")
Watcher:Direct("Festering Strike")
Watcher:Direct("Heart Strike")
Watcher:Direct("Pillar of Frost")
Watcher:Direct("Rune Strike")
Watcher:Direct("Rune Tap")
Watcher:Direct("Scourge Strike")
Watcher:Direct("Summon Gargoyle")
Watcher:Direct("Unholy Frenzy")
Watcher:Buff("Bone Shield", "Bone Shield", true)
Watcher:Buff("Horn of Winter", "Horn of Winter", true)
Watcher:Proc("Blood Charge", "Blood Tap", 5)
Watcher:Proc("Scent of Blood", "Death Strike", 5)
Watcher:Proc("Sudden Doom", "Death Coil")
Watcher:Proc("Freezing Fog", "Howling Blast")
Watcher:Proc("Killing Machine", "Obliterate")
Watcher:Apply("Frost Fever", "Icy Touch", 0, 0, true, true)
Watcher:Apply("Blood Plague", "Plague Strike", 0, 0, true, true)
Watcher:Apply("Frost Fever", "Outbreak", 0, 0, true, true)
Watcher:HealthThreshold(35, false, "Soul Reaper")


end	