if not Watcher then return end

if select(2, UnitClass('player')) ~= "DRUID" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _

-- generic spells
Watcher:addicon("Astral Communion", 127663)
Watcher:addicon("Balance Overrides Passive", 106732)
Watcher:addicon("Berserk", 106952)
Watcher:addicon("Celestial Alignment", 112071)
Watcher:addicon("Faerie Fire", 770)
Watcher:addicon("Faerie Swarm", 102355)
Watcher:addicon("Ferocious Bite", 22568)
Watcher:addicon("Feral Overrides Passive", 106733)
Watcher:addicon("Guardian Overrides Passive", 106734)
Watcher:addicon("Incarnation: Son of Ursoc", 102558)
Watcher:addicon("Lacerate", 33745)
Watcher:addicon("Maul", 6807)
Watcher:addicon("Mangle", 33917)
Watcher:addicon("Moonfire", 8921)
Watcher:addicon("Rake", 1822)
Watcher:addicon("Rip", 1079)
Watcher:addicon("Restoration Overrides Passive", 106735)
Watcher:addicon("Savage Defense", 62606)
Watcher:addicon("Savage Roar", 52610)
Watcher:addicon("Shred", 5221)
Watcher:addicon("Starfall", 48505)
Watcher:addicon("Starfire", 2912)
Watcher:addicon("Starsurge", 78674)
Watcher:addicon("Sunfire", 93402)
Watcher:addicon("Swipe", 779)
Watcher:addicon("Symbiosis", 110309)
Watcher:addicon("Thrash", 77758)
Watcher:addicon("Ursol's Vortex", 102793)
Watcher:addicon("Wrath", 5176)

-- talented spells and procs
Watcher:addicon("Eclipse (Lunar)", 48518)
Watcher:addicon("Eclipse (Solar)", 48517)
Watcher:addicon("Force of Nature", 106737)
Watcher:addicon("Infected Wounds", 48484)
Watcher:addicon("Nature's Vigil", 124974)
Watcher:addicon("Shooting Stars", 93399)
Watcher:addicon("Weakened Armor", 113746)

-- glyphs
Watcher:addicon("Glyph of Barkskin", 63057)
Watcher:addicon("Glyph of Fae Silence", 114237)
Watcher:addicon("Glyph of Faerie Fire", 94386)
Watcher:addicon("Glyph of Maul", 54811)


Watcher:addicon("Cyclone",33786)

function Watcher:addClassSpells()
Watcher:Buff("Savage Roar", "Savage Roar", true)
Watcher:Debuff("Lacerate",0,3)
Watcher:Debuff("Moonfire")
Watcher:Debuff("Rake")
Watcher:Debuff("Rip")
Watcher:Debuff("Sunfire")
Watcher:Debuff("Thrash")
Watcher:BuffPerm("Astral Communion","Eclipse (Lunar)",false,nil, "Greater Than", 0, "Eclipse (Balance Druid)")
Watcher:BuffPerm( "Astral Communion","Eclipse (Solar)",false,nil, "Less Than", 0, "Eclipse (Balance Druid)")
Watcher:Direct("Berserk")
Watcher:Direct("Celestial Alignment")
Watcher:Direct("Force of Nature")
Watcher:Direct("Incarnation: Son of Ursoc")
Watcher:Direct("Maul")
Watcher:Direct("Nature's Vigil")
Watcher:Direct("Savage Defense")
Watcher:Direct("Shred")
Watcher:Direct("Starfall")
Watcher:Direct("Starsurge")
Watcher:Direct("Swipe")
Watcher:Direct("Ursol's Vortex")
Watcher:Proc("Eclipse (Lunar)", "Starfire",nil,"Less Than",0,"Eclipse (Balance Druid)")
Watcher:Proc("Shooting Stars", "Starsurge")
Watcher:Proc("Eclipse (Solar)", "Wrath")
Watcher:Apply("Weakened Armor", "Faerie Fire", 0, 0, true, true)
Watcher:Apply("Weakened Armor", "Faerie Swarm", 0, 0, true, true)
Watcher:Apply("Infected Wounds", "Mangle", 0, 0, true, true)
Watcher:HealthThreshold(25, false, "Ferocious Bite")


end