if not Watcher then return end
local _, _, _, clientVersion = GetBuildInfo()
if select(2, UnitClass('player')) ~= "HUNTER" then return end
local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _

-- generic spells
Watcher:addicon("Aimed Shot", 19434)
Watcher:addicon("Arcane Shot", 3044)
Watcher:addicon("Bestial Wrath", 19574)
Watcher:addicon("Black Arrow", 3674)
Watcher:addicon("Chimera Shot", 53209)
Watcher:addicon("Cobra Shot", 77767)
Watcher:addicon("Explosive Shot", 53301)
Watcher:addicon("Focus Fire", 82692)
Watcher:addicon("Frenzy", 19615)
Watcher:addicon("Hunter's Mark", 1130)
Watcher:addicon("Kill Command", 34026)
Watcher:addicon("Kill Shot", 53351)
Watcher:addicon("Rapid Fire", 3045)
Watcher:addicon("Readiness", 23989)
Watcher:addicon("Serpent Sting", 1978)
Watcher:addicon("Stampede", 121818)
Watcher:addicon("Steady Shot", 56641)

-- talented spells and procs
Watcher:addicon("A Murder of Crows", 131894)
Watcher:addicon("Dire Beast", 120679)
Watcher:addicon("Lock and Load", 56343)
Watcher:addicon("Lynx Rush", 120697)
Watcher:addicon("Fervor", 82726)
Watcher:addicon("Fire!", 82926)

-- glyphs

function Watcher:addClassSpells()
Watcher:Apply("Serpent Sting", "Cobra Shot",nil,nil,nil,true)
Watcher:Debuff("Hunter's Mark")
Watcher:Debuff("Serpent Sting")
Watcher:Direct("A Murder of Crows")
Watcher:Direct("Arcane Shot")
Watcher:Direct("Bestial Wrath")
Watcher:Direct("Black Arrow")
Watcher:Direct("Cobra Shot")
Watcher:Direct("Chimera Shot")
Watcher:Direct("Dire Beast")
Watcher:Direct("Fervor")
Watcher:Direct("Kill Command")
Watcher:Direct("Lynx Rush")
Watcher:Direct("Rapid Fire")
Watcher:Direct("Readiness")
Watcher:Direct("Stampede")
Watcher:PowerThreshold(20, true, "Steady Shot")
Watcher:Proc("Fire!", "Aimed Shot")
Watcher:Proc("Lock and Load", "Explosive Shot")
Watcher:Proc("Frenzy", "Focus Fire",5)
Watcher:HealthThreshold(20, false, "Kill Shot")

end